Package ru.bitel.bgbilling.modules.voiceip.server.bean

# Class FindMode

java.lang.Object
ru.bitel.bgbilling.modules.voiceip.server.bean.FindMode

All Implemented Interfaces:
  `ListItem`

    public class FindMode
    extends java.lang.Object
    implements ListItem

Режим поиска

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `FindMode()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `getId()` | Возвращает код режима
  `java.lang.String` | `getTitle()` | Возвращает название
  `java.lang.String` | `getValue()` | Возвращает значение
  `void` | `setId​(int id)` | Устанавливает код режима
  `void` | `setTitle​(java.lang.String title)` | Устанавливает название
  `void` | `setValue​(java.lang.String value)` | Устанавливает значение
  `java.lang.String` | `toString()` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FindMode

    public FindMode()

- ## Method Details

  - ### getId

    public int getId()
    Возвращает код режима
    Specified by:
      `getId` in interface `ListItem`
    Returns:
      код

  - ### setId

    public void setId​(int id)
    Устанавливает код режима
    Parameters:
      `id` - код

  - ### getTitle

    public java.lang.String getTitle()
    Возвращает название
    Specified by:
      `getTitle` in interface `ListItem`
    Returns:
      название

  - ### setTitle

    public void setTitle​(java.lang.String title)
    Устанавливает название
    Parameters:
      `title` - название

  - ### getValue

    public java.lang.String getValue()
    Возвращает значение
    Returns:
      значение

  - ### setValue

    public void setValue​(java.lang.String value)
    Устанавливает значение
    Parameters:
      `value` - значение

  - ### toString

    public java.lang.String toString()
    Overrides:
      `toString` in class `java.lang.Object`